import greenfoot.*;
/**
 * Write a description of class Soldier here.
 * 
 * @author Taylor Born
 * @version January 2010
 */
public class Soldier  
{
    private PointF myPosition;
    private int direction;
    private int look = 8;
    private int health = 2;
    
    public Soldier(PointF position)
    {
        myPosition = position;
    }
    public void move()
    {
        myPosition = new PointF(myPosition.getX() + (float)Math.cos(Math.toRadians(direction)) * .05f, myPosition.getY() - (float)Math.sin(Math.toRadians(direction)) * .05f);
        if (Greenfoot.getRandomNumber(15) == 2)
            direction += Greenfoot.getRandomNumber(30) - 15;
        if (Greenfoot.getRandomNumber(100) == 52)
            look *= -1;
    }
    public void turn()
    {
        direction += look;
        if (direction > 360)
            direction -= 360;
        else if (direction < 360)
            direction += 360;
    }
    public void getHit()
    {
        health--;
    }
    public boolean isDead()
    {
        if (health == 0)
            return true;
        return false;
    }
    public PointF getPosition()
    {
        return myPosition;
    }
    public int getDirection()
    {
        return direction;
    }
}